zenilib: zenilib/jni/external/zlib/infback.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
infback.c File Reference
`#include "zutil.h"`
`#include "inftrees.h"`
`#include "inflate.h"`
`#include "inffast.h"`
`#include "inffixed.h"`

Go to the source code of this file.

## Macros

#define | BITS(n) ((unsigned)hold & ((1U << (n)) - 1))
#define | BYTEBITS()
#define | DROPBITS(n)
#define | INITBITS()
#define | LOAD()
#define | NEEDBITS(n)
#define | PULL()
#define | PULLBYTE()
#define | RESTORE()
#define | ROOM()

## Functions

local void | fixedtables (struct inflate_state FAR *state)
int ZEXPORT | inflateBack (z_streamp strm, in_func in, void FAR *in_desc, out_func out, void FAR *out_desc)
int ZEXPORT | inflateBackEnd (z_streamp strm)
int ZEXPORT | inflateBackInit_ (z_streamp strm, int windowBits, unsigned char FAR *window, const char *version, int stream_size)
local void fixedtables | OF ((struct inflate_state FAR *state))

## Macro Definition Documentation

#define BITS | ( |  | n | ) | ((unsigned)hold & ((1U << (n)) - 1))

Definition at line 181 of file infback.c.

Referenced by inflateBack().

#define BYTEBITS | ( |  | ) |

Value:
do { \
hold >>= bits & 7; \
bits -= bits & 7; \
} while (0)
bits
#define bits
Definition: infblock.c:15
bits
GLenum GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * bits
Definition: SDL_opengl.h:10449

Definition at line 192 of file infback.c.

Referenced by inflateBack().

#define DROPBITS | ( |  | n | ) |

Value:
do { \
hold >>= (n); \
bits -= (unsigned)(n); \
} while (0)
n
GLclampd n
Definition: glew.h:7287
bits
#define bits
Definition: infblock.c:15

Definition at line 185 of file infback.c.

Referenced by inflateBack().

#define INITBITS | ( |  | ) |

Value:
do { \
hold = 0; \
bits = 0; \
} while (0)
bits
#define bits
Definition: infblock.c:15

Definition at line 141 of file infback.c.

Referenced by inflateBack().

#define LOAD | ( |  | ) |

Value:
do { \
put = strm->next_out; \
left = strm->avail_out; \
next = strm->next_in; \
have = strm->avail_in; \
hold = state->hold; \
bits = state->bits; \
} while (0)
left
GLint left
Definition: glew.h:7291
bits
#define bits
Definition: infblock.c:15
SDL_assert_data::next
struct SDL_assert_data * next
Definition: SDL_assert.h:115

Definition at line 119 of file infback.c.

Referenced by inflateBack().

#define NEEDBITS | ( |  | n | ) |

Value:
do { \
while (bits < (unsigned)(n)) \
PULLBYTE(); \
} while (0)
n
GLclampd n
Definition: glew.h:7287
PULLBYTE
#define PULLBYTE()
Definition: infback.c:163
bits
GLenum GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * bits
Definition: SDL_opengl.h:10449
while
while(1)
Definition: glslang_lex.cpp:1063

Definition at line 174 of file infback.c.

Referenced by inflateBack().

#define PULL | ( |  | ) |

Value:
do { \
if (have == 0) { \
have = in(in_desc, &next); \
if (have == 0) { \
next = Z_NULL; \
ret = Z_BUF_ERROR; \
goto inf_leave; \
} \
} \
} while (0)
in
GLuint in
Definition: glew.h:10672
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
Z_BUF_ERROR
#define Z_BUF_ERROR
Definition: zlib.h:139
Z_NULL
#define Z_NULL
Definition: zlib.h:164
ret
ret
Definition: glew_str_glx.c:2
SDL_assert_data::next
struct SDL_assert_data * next
Definition: SDL_assert.h:115

Definition at line 149 of file infback.c.

Referenced by inflateBack().

#define PULLBYTE | ( |  | ) |

Value:
do { \
PULL(); \
have--; \
hold += (unsigned long)(*next++) << bits; \
bits += 8; \
} while (0)
bits
#define bits
Definition: infblock.c:15
SDL_assert_data::next
struct SDL_assert_data * next
Definition: SDL_assert.h:115
PULL
#define PULL()
Definition: infback.c:149

Definition at line 163 of file infback.c.

Referenced by inflateBack().

#define RESTORE | ( |  | ) |

Value:
do { \
strm->next_out = put; \
strm->avail_out = left; \
strm->next_in = next; \
strm->avail_in = have; \
state->hold = hold; \
state->bits = bits; \
} while (0)
left
GLint left
Definition: glew.h:7291
bits
#define bits
Definition: infblock.c:15
SDL_assert_data::next
struct SDL_assert_data * next
Definition: SDL_assert.h:115

Definition at line 130 of file infback.c.

Referenced by inflateBack().

#define ROOM | ( |  | ) |

Value:
do { \
if (left == 0) { \
put = state->window; \
left = state->wsize; \
state->whave = left; \
if (out(out_desc, put, left)) { \
ret = Z_BUF_ERROR; \
goto inf_leave; \
} \
} \
} while (0)
left
GLint left
Definition: glew.h:7291
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
Z_BUF_ERROR
#define Z_BUF_ERROR
Definition: zlib.h:139
ret
ret
Definition: glew_str_glx.c:2

Definition at line 201 of file infback.c.

Referenced by inflateBack().

## Function Documentation

local void fixedtables | ( | struct inflate_state FAR * | state | ) |

Definition at line 73 of file infback.c.

References bits, distfix, DISTS, inflate_table(), lenfix, LENS, and sym.

Referenced by inflate(), and inflateBack().

int ZEXPORT inflateBack | ( | z_streamp | strm,
|  | in_func | in,
|  | void FAR * | in_desc,
|  | out_func | out,
|  | void FAR * | out_desc
| ) |  |

Definition at line 241 of file infback.c.

References BAD, bits, code::bits, BITS, BYTEBITS, CODES, inflate_state::codes, inflate_state::distbits, inflate_state::distcode, DISTS, DONE, DROPBITS, inflate_state::extra, fixedtables(), for(), inflate_state::have, inflate_state::hold, if(), inflate_fast(), inflate_table(), INITBITS, inflate_state::last, LEN, inflate_state::lenbits, inflate_state::lencode, inflate_state::length, LENS, inflate_state::lens, LOAD, inflate_state::mode, inflate_state::ncode, inflate_state::ndist, NEEDBITS, inflate_state::next, inflate_state::nlen, inflate_state::offset, code::op, PULL, PULLBYTE, RESTORE, ret, ROOM, STORED, TABLE, Tracev, Tracevv, TYPE, code::val, inflate_state::whave, inflate_state::window, inflate_state::work, inflate_state::wsize, Z_BUF_ERROR, Z_DATA_ERROR, Z_NULL, Z_STREAM_END, Z_STREAM_ERROR, and zmemcpy().

int ZEXPORT inflateBackEnd | ( | z_streamp | strm | ) |

Definition at line 623 of file infback.c.

References Tracev, Z_NULL, Z_OK, Z_STREAM_ERROR, and ZFREE.

int ZEXPORT inflateBackInit_ | ( | z_streamp | strm,
|  | int | windowBits,
|  | unsigned char FAR * | window,
|  | const char * | version,
|  | int | stream_size
| ) |  |

Definition at line 28 of file infback.c.

References inflate_state::dmax, Tracev, inflate_state::wbits, inflate_state::whave, inflate_state::window, windowBits, inflate_state::wnext, inflate_state::wsize, Z_MEM_ERROR, Z_NULL, Z_OK, Z_STREAM_ERROR, Z_VERSION_ERROR, ZALLOC, zcalloc(), zcfree(), and ZLIB_VERSION.

local void fixedtables OF | ( | (struct inflate_state FAR *state) |  | ) |